## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname jsonschema-spec
%global modname jsonschema_spec

Name:           python-%{srcname}
Version:        0.2.4
Release:        %autorelease
Summary:        JSONSchema Spec with object-oriented paths

License:        Apache-2.0
URL:            https://github.com/p1c2u/%{srcname}
# The GitHub archive has the tests; the PyPI sdist does not.
Source:         %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

# Do not require quite such a recent version of requests
#
# Until python-requests is updated to 2.31.0[1], loosen the minimum version to
# 2.28.1. It is an optional dependency that was added with “deptry”
# analysis[2], which is only really useful for upstream CI, but it is also
# imported from jsonschema_spec/handlers/requests.py. There is no obvious
# reason why the most recent version (ahead of Rawhide as of this writing)
# should be needed.
#
# [1] https://bugzilla.redhat.com/show_bug.cgi?id=2189970
# [2] https://github.com/p1c2u/jsonschema-spec/commit/d207d233e31198942ba417875e2c1e09f848ab5d
Patch:          0001-Do-not-require-quite-such-a-recent-version-of-reques.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(responses)

%global _description %{expand:
A python library which provides traverse JSON resources like paths and
access resources on demand with separate accessor layer.}

%description %_description


%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -n %{srcname}-%{version} -p1
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -r -i '/^--cov[-=]/d' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modname}


%check
%pytest


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Tue Sep 05 2023 Mattia Verga <mattia.verga@proton.me> - 0.2.4-1
- Updato to 0.2.4

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.6-5
- Patch for Python 3.12 (close RHBZ#2220292)

* Sun Jul 02 2023 Python Maint <python-maint@redhat.com> - 0.1.6-4
- Rebuilt for Python 3.12

* Sat Jun 17 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.6-3
- Allow a slightly older requests version for F37

* Sat Jun 17 2023 Mattia Verga <mattia.verga@proton.me> - 0.1.6-2
- Rebuild for f39-python

* Sat Jun 17 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.6-1
- Update to 0.1.6

* Fri Feb 03 2023 Mattia Verga <mattia.verga@proton.me> - 0.1.3-1
- Update to 0.1.3 (fedora#2166182)

* Wed Jan 25 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.2-3
- Switch to GitHub source and run the tests

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 21 2022 Mattia Verga <mattia.verga@proton.me> - 0.1.2-1
- Initial import (fedora#2154188)
